import type { StorybookConfig } from '@storybook/react-webpack5';
import webpack from './webpack';

export default {
	staticDirs: ['../public'],
	stories: ['../stories/**/*.mdx', '../stories/**/*.stories.@(ts|tsx)'],

	addons: [
		'@storybook/addon-links',
		'@storybook/addon-essentials',
		'@storybook/addon-react-native-web',
		'@storybook/addon-mdx-gfm',
		'@storybook/addon-webpack5-compiler-babel',
	],

	framework: {
		name: '@storybook/react-webpack5',
		options: {},
	},

	webpackFinal: (config) => webpack(config),

	docs: {},

	typescript: {
		reactDocgen: 'react-docgen-typescript',
	},
} as StorybookConfig;
