import { endOfWeek, setWeek, startOfWeek } from 'date-fns';

export const getMonday = (date: Date) => {
	date = new Date(date);
	const day = date.getDay();
	const diff = date.getDate() - day + (day == 0 ? -6 : 1);
	return new Date(new Date(date.setDate(diff)).setHours(0, 0, 0, 0));
};

export const getWeeksCount = (start: Date, end: Date) =>
	Math.round((end.getTime() - start.getTime()) / 1000 / 60 / 60 / 24 / 7);

export const getStartOf = (startOf: Date, weekOfMonth: number): Date => {
	const startOfFirstMonthWeek = getMonday(startOf);
	const startOfYear = new Date(startOf.getFullYear(), 0, 1);
	const startOfFirstYearWeek = getMonday(startOfYear);
	const weekOfYear =
		getWeeksCount(startOfFirstYearWeek, startOfFirstMonthWeek) + 1 + weekOfMonth;
	return setWeek(startOfFirstMonthWeek, weekOfYear, { weekStartsOn: 1 });
};

export const getWeekRange = (date: Date) => [
	startOfWeek(date, { weekStartsOn: 1 }),
	endOfWeek(date, { weekStartsOn: 1 }),
];
