import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ALargeSmallIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M21 14h-5" />
			<Path d="M16 16v-3.5a2.5 2.5 0 0 1 5 0V16" />
			<Path d="M4.5 13h6" />
			<Path d="m3 16 4.5-9 4.5 9" />
		</Svg>
	);
}
