import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function AccessibilityIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={16} cy={4} r={1} />
			<Path d="m18 19 1-7-6 1" />
			<Path d="m5 8 3-3 5.5 3-2.36 3.5" />
			<Path d="M4.24 14.5a5 5 0 0 0 6.88 6" />
			<Path d="M13.76 17.5a5 5 0 0 0-6.88-6" />
		</Svg>
	);
}
