import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function AlarmClockPlusIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={12} cy={13} r={8} />
			<Path d="M5 3 2 6" />
			<Path d="m22 6-3-3" />
			<Path d="M6.38 18.7 4 21" />
			<Path d="M17.64 18.67 20 21" />
			<Path d="M12 10v6" />
			<Path d="M9 13h6" />
		</Svg>
	);
}
