import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function AlignHorizontalSpaceBetweenIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={6} height={14} x={3} y={5} rx={2} />
			<Rect width={6} height={10} x={15} y={7} rx={2} />
			<Path d="M3 2v20" />
			<Path d="M21 2v20" />
		</Svg>
	);
}
