import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function AlignRightIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={21} x2={3} y1={6} y2={6} />
			<Line x1={21} x2={9} y1={12} y2={12} />
			<Line x1={21} x2={7} y1={18} y2={18} />
		</Svg>
	);
}
