import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function AlignVerticalDistributeCenterIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M22 17h-3" />
			<Path d="M22 7h-5" />
			<Path d="M5 17H2" />
			<Path d="M7 7H2" />
			<Rect x={5} y={14} width={14} height={6} rx={2} />
			<Rect x={7} y={4} width={10} height={6} rx={2} />
		</Svg>
	);
}
