import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function AlignVerticalDistributeStartIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={14} height={6} x={5} y={14} rx={2} />
			<Rect width={10} height={6} x={7} y={4} rx={2} />
			<Path d="M2 14h20" />
			<Path d="M2 4h20" />
		</Svg>
	);
}
