import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function AngryIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={12} cy={12} r={10} />
			<Path d="M16 16s-1.5-2-4-2-4 2-4 2" />
			<Path d="M7.5 8 10 9" />
			<Path d="m14 9 2.5-1" />
			<Path d="M9 10h.01" />
			<Path d="M15 10h.01" />
		</Svg>
	);
}
