import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function AntennaIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M2 12 7 2" />
			<Path d="m7 12 5-10" />
			<Path d="m12 12 5-10" />
			<Path d="m17 12 5-10" />
			<Path d="M4.5 7h15" />
			<Path d="M12 16v6" />
		</Svg>
	);
}
