import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ApertureIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={12} cy={12} r={10} />
			<Path d="m14.31 8 5.74 9.94" />
			<Path d="M9.69 8h11.48" />
			<Path d="m7.38 12 5.74-9.94" />
			<Path d="M9.69 16 3.95 6.06" />
			<Path d="M14.31 16H2.83" />
			<Path d="m16.62 12-5.74 9.94" />
		</Svg>
	);
}
