import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ArrowDown10Icon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m3 16 4 4 4-4" />
			<Path d="M7 20V4" />
			<Path d="M17 10V4h-2" />
			<Path d="M15 10h4" />
			<Rect x={15} y={14} width={4} height={6} ry={2} />
		</Svg>
	);
}
