import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function ArrowUpNarrowWideIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m3 8 4-4 4 4" />
			<Path d="M7 4v16" />
			<Path d="M11 12h4" />
			<Path d="M11 16h7" />
			<Path d="M11 20h10" />
		</Svg>
	);
}
