import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function ArrowUpZAIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m3 8 4-4 4 4" />
			<Path d="M7 4v16" />
			<Path d="M15 4h5l-5 6h5" />
			<Path d="M15 20v-3.5a2.5 2.5 0 0 1 5 0V20" />
			<Path d="M20 18h-5" />
		</Svg>
	);
}
