import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ArrowsUpFromLineIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m4 6 3-3 3 3" />
			<Path d="M7 17V3" />
			<Path d="m14 6 3-3 3 3" />
			<Path d="M17 17V3" />
			<Path d="M4 21h16" />
		</Svg>
	);
}
