import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function AudioLinesIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M2 10v3" />
			<Path d="M6 6v11" />
			<Path d="M10 3v18" />
			<Path d="M14 8v7" />
			<Path d="M18 5v13" />
			<Path d="M22 10v3" />
		</Svg>
	);
}
