import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function AxeIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m14 12-8.5 8.5a2.12 2.12 0 1 1-3-3L11 9" />
			<Path d="M15 13 9 7l4-4 6 6h3a8 8 0 0 1-7 7z" />
		</Svg>
	);
}
