import * as React from 'react';
import Svg, { Path, Rect, Circle } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function BaggageClaimIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M22 18H6a2 2 0 0 1-2-2V7a2 2 0 0 0-2-2" />
			<Path d="M17 14V4a2 2 0 0 0-2-2h-1a2 2 0 0 0-2 2v10" />
			<Rect width={13} height={8} x={8} y={6} rx={1} />
			<Circle cx={18} cy={20} r={2} />
			<Circle cx={9} cy={20} r={2} />
		</Svg>
	);
}
