import * as React from 'react';
import Svg, { Rect, Circle, Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function BanknoteIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={20} height={12} x={2} y={6} rx={2} />
			<Circle cx={12} cy={12} r={2} />
			<Path d="M6 12h.01M18 12h.01" />
		</Svg>
	);
}
