import * as React from 'react';
import Svg, { Rect, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function BatteryLowIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={16} height={10} x={2} y={7} rx={2} ry={2} />
			<Line x1={22} x2={22} y1={11} y2={13} />
			<Line x1={6} x2={6} y1={11} y2={13} />
		</Svg>
	);
}
