import * as React from 'react';
import Svg, { Path, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function BatteryWarningIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M14 7h2a2 2 0 0 1 2 2v6c0 1-1 2-2 2h-2" />
			<Path d="M6 7H4a2 2 0 0 0-2 2v6c0 1 1 2 2 2h2" />
			<Line x1={22} x2={22} y1={11} y2={13} />
			<Line x1={10} x2={10} y1={7} y2={13} />
			<Line x1={10} x2={10} y1={17} y2={17.01} />
		</Svg>
	);
}
