import * as React from 'react';
import Svg, { Rect, Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function BetweenHorizontalEndIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={13} height={7} x={3} y={3} rx={1} />
			<Path d="m22 15-3-3 3-3" />
			<Rect width={13} height={7} x={3} y={14} rx={1} />
		</Svg>
	);
}
