import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function BikeIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={18.5} cy={17.5} r={3.5} />
			<Circle cx={5.5} cy={17.5} r={3.5} />
			<Circle cx={15} cy={5} r={1} />
			<Path d="M12 17.5V14l-3-3 4-3 2 3h2" />
		</Svg>
	);
}
