import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function BinaryIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect x={14} y={14} width={4} height={6} rx={2} />
			<Rect x={6} y={4} width={4} height={6} rx={2} />
			<Path d="M6 20h4" />
			<Path d="M14 10h4" />
			<Path d="M6 14h2v6" />
			<Path d="M14 4h2v6" />
		</Svg>
	);
}
