import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function BlindsIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M3 3h18" />
			<Path d="M20 7H8" />
			<Path d="M20 11H8" />
			<Path d="M10 19h10" />
			<Path d="M8 15h12" />
			<Path d="M4 3v14" />
			<Circle cx={4} cy={19} r={2} />
		</Svg>
	);
}
