import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function BluetoothConnectedIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m7 7 10 10-5 5V2l5 5L7 17" />
			<Line x1={18} x2={21} y1={12} y2={12} />
			<Line x1={3} x2={6} y1={12} y2={12} />
		</Svg>
	);
}
