import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function BluetoothSearchingIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m7 7 10 10-5 5V2l5 5L7 17" />
			<Path d="M20.83 14.83a4 4 0 0 0 0-5.66" />
			<Path d="M18 12h.01" />
		</Svg>
	);
}
