import * as React from 'react';
import Svg, { Path, Rect, Circle } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function BoomBoxIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M4 9V5a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v4" />
			<Path d="M8 8v1" />
			<Path d="M12 8v1" />
			<Path d="M16 8v1" />
			<Rect width={20} height={12} x={2} y={9} rx={2} />
			<Circle cx={8} cy={15} r={2} />
			<Circle cx={16} cy={15} r={2} />
		</Svg>
	);
}
