import * as React from 'react';
import Svg, { Path, Rect } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function BotIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M12 8V4H8" />
			<Rect width={16} height={12} x={4} y={8} rx={2} />
			<Path d="M2 14h2" />
			<Path d="M20 14h2" />
			<Path d="M15 13v2" />
			<Path d="M9 13v2" />
		</Svg>
	);
}
