import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function BrickWallIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={18} height={18} x={3} y={3} rx={2} />
			<Path d="M12 9v6" />
			<Path d="M16 15v6" />
			<Path d="M16 3v6" />
			<Path d="M3 15h18" />
			<Path d="M3 9h18" />
			<Path d="M8 15v6" />
			<Path d="M8 3v6" />
		</Svg>
	);
}
