import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function BuildingIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={16} height={20} x={4} y={2} rx={2} ry={2} />
			<Path d="M9 22v-4h6v4" />
			<Path d="M8 6h.01" />
			<Path d="M16 6h.01" />
			<Path d="M12 6h.01" />
			<Path d="M12 10h.01" />
			<Path d="M12 14h.01" />
			<Path d="M16 10h.01" />
			<Path d="M16 14h.01" />
			<Path d="M8 10h.01" />
			<Path d="M8 14h.01" />
		</Svg>
	);
}
