import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function CalendarRangeIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={18} height={18} x={3} y={4} rx={2} />
			<Path d="M16 2v4" />
			<Path d="M3 10h18" />
			<Path d="M8 2v4" />
			<Path d="M17 14h-6" />
			<Path d="M13 18H7" />
			<Path d="M7 14h.01" />
			<Path d="M17 18h.01" />
		</Svg>
	);
}
