import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function CalendarSearchIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M21 12V6a2 2 0 0 0-2-2H5a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h7.5" />
			<Path d="M16 2v4" />
			<Path d="M8 2v4" />
			<Path d="M3 10h18" />
			<Circle cx={18} cy={18} r={3} />
			<Path d="m22 22-1.5-1.5" />
		</Svg>
	);
}
