import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function CalendarXIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M8 2v4" />
			<Path d="M16 2v4" />
			<Rect width={18} height={18} x={3} y={4} rx={2} />
			<Path d="M3 10h18" />
			<Path d="m14 14-4 4" />
			<Path d="m10 14 4 4" />
		</Svg>
	);
}
