import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function CarTaxiFrontIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M10 2h4" />
			<Path d="m21 8-2 2-1.5-3.7A2 2 0 0 0 15.646 5H8.4a2 2 0 0 0-1.903 1.257L5 10 3 8" />
			<Path d="M7 14h.01" />
			<Path d="M17 14h.01" />
			<Rect width={18} height={8} x={3} y={10} rx={2} />
			<Path d="M5 18v2" />
			<Path d="M19 18v2" />
		</Svg>
	);
}
