import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function CassetteTapeIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={20} height={16} x={2} y={4} rx={2} />
			<Circle cx={8} cy={10} r={2} />
			<Path d="M8 12h8" />
			<Circle cx={16} cy={10} r={2} />
			<Path d="m6 20 .7-2.9A1.4 1.4 0 0 1 8.1 16h7.8a1.4 1.4 0 0 1 1.4 1l.7 3" />
		</Svg>
	);
}
