import * as React from 'react';
import Svg, { Path, Rect } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function ChartColumnStackedIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M11 13H7" />
			<Path d="M19 9h-4" />
			<Path d="M3 3v16a2 2 0 0 0 2 2h16" />
			<Rect x={15} y={5} width={4} height={12} rx={1} />
			<Rect x={7} y={8} width={4} height={9} rx={1} />
		</Svg>
	);
}
