import * as React from 'react';
import Svg, { Circle, Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function ChartScatterIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={7.5} cy={7.5} r={0.5} fill="currentColor" />
			<Circle cx={18.5} cy={5.5} r={0.5} fill="currentColor" />
			<Circle cx={11.5} cy={11.5} r={0.5} fill="currentColor" />
			<Circle cx={7.5} cy={16.5} r={0.5} fill="currentColor" />
			<Circle cx={17.5} cy={14.5} r={0.5} fill="currentColor" />
			<Path d="M3 3v16a2 2 0 0 0 2 2h16" />
		</Svg>
	);
}
