import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Line } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ChromeIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={12} cy={12} r={10} />
			<Circle cx={12} cy={12} r={4} />
			<Line x1={21.17} x2={12} y1={8} y2={8} />
			<Line x1={3.95} x2={8.54} y1={6.06} y2={14} />
			<Line x1={10.88} x2={15.46} y1={21.94} y2={14} />
		</Svg>
	);
}
