import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function CircleOffIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m2 2 20 20" />
			<Path d="M8.35 2.69A10 10 0 0 1 21.3 15.65" />
			<Path d="M19.08 19.08A10 10 0 1 1 4.92 4.92" />
		</Svg>
	);
}
