import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Line } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function CirclePauseIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={12} cy={12} r={10} />
			<Line x1={10} x2={10} y1={15} y2={9} />
			<Line x1={14} x2={14} y1={15} y2={9} />
		</Svg>
	);
}
