import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function Clock3Icon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={12} cy={12} r={10} />
			<Polyline points="12 6 12 12 16.5 12" />
		</Svg>
	);
}
