import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function CodeIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polyline points="16 18 22 12 16 6" />
			<Polyline points="8 6 2 12 8 18" />
		</Svg>
	);
}
