import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Polygon, Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function CodepenIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polygon points="12 2 22 8.5 22 15.5 12 22 2 15.5 2 8.5 12 2" />
			<Line x1={12} x2={12} y1={22} y2={15.5} />
			<Polyline points="22 8.5 12 15.5 2 8.5" />
			<Polyline points="2 15.5 12 8.5 22 15.5" />
			<Line x1={12} x2={12} y1={2} y2={8.5} />
		</Svg>
	);
}
