import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Path, Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function CodesandboxIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z" />
			<Polyline points="7.5 4.21 12 6.81 16.5 4.21" />
			<Polyline points="7.5 19.79 7.5 14.6 3 12" />
			<Polyline points="21 12 16.5 14.6 16.5 19.79" />
			<Polyline points="3.27 6.96 12 12.01 20.73 6.96" />
			<Line x1={12} x2={12} y1={22.08} y2={12} />
		</Svg>
	);
}
