import * as React from 'react';
import Svg, { Rect, Path, Polyline } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function CombineIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={8} height={8} x={2} y={2} rx={2} />
			<Path d="M14 2c1.1 0 2 .9 2 2v4c0 1.1-.9 2-2 2" />
			<Path d="M20 2c1.1 0 2 .9 2 2v4c0 1.1-.9 2-2 2" />
			<Path d="M10 18H5c-1.7 0-3-1.3-3-3v-1" />
			<Polyline points="7 21 10 18 7 15" />
			<Rect width={8} height={8} x={14} y={14} rx={2} />
		</Svg>
	);
}
