import * as React from 'react';
import Svg, { Path, Rect, Circle, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function ContactIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M17 18a2 2 0 0 0-2-2H9a2 2 0 0 0-2 2" />
			<Rect width={18} height={18} x={3} y={4} rx={2} />
			<Circle cx={12} cy={10} r={2} />
			<Line x1={8} x2={8} y1={2} y2={4} />
			<Line x1={16} x2={16} y1={2} y2={4} />
		</Svg>
	);
}
