import * as React from 'react';
import Svg, { Path, Circle, Rect, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function ContactRoundIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M16 18a4 4 0 0 0-8 0" />
			<Circle cx={12} cy={11} r={3} />
			<Rect width={18} height={18} x={3} y={4} rx={2} />
			<Line x1={8} x2={8} y1={2} y2={4} />
			<Line x1={16} x2={16} y1={2} y2={4} />
		</Svg>
	);
}
