import * as React from 'react';
import Svg, { Polyline, Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function CornerLeftUpIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polyline points="14 9 9 4 4 9" />
			<Path d="M20 20h-7a4 4 0 0 1-4-4V4" />
		</Svg>
	);
}
