import * as React from 'react';
import Svg, { Circle, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function CurrencyIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={12} cy={12} r={8} />
			<Line x1={3} x2={6} y1={3} y2={6} />
			<Line x1={21} x2={18} y1={3} y2={6} />
			<Line x1={3} x2={6} y1={21} y2={18} />
			<Line x1={21} x2={18} y1={21} y2={18} />
		</Svg>
	);
}
