import * as React from 'react';
import Svg, { Ellipse, Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function CylinderIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Ellipse cx={12} cy={5} rx={9} ry={3} />
			<Path d="M3 5v14a9 3 0 0 0 18 0V5" />
		</Svg>
	);
}
