import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Ellipse, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function DatabaseZapIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Ellipse cx={12} cy={5} rx={9} ry={3} />
			<Path d="M3 5V19A9 3 0 0 0 15 21.84" />
			<Path d="M21 5V8" />
			<Path d="M21 12L18 17H22L19 22" />
			<Path d="M3 12A9 3 0 0 0 14.59 14.87" />
		</Svg>
	);
}
