import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function Disc3Icon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={12} cy={12} r={10} />
			<Path d="M6 12c0-1.7.7-3.2 1.8-4.2" />
			<Circle cx={12} cy={12} r={2} />
			<Path d="M18 12c0 1.7-.7 3.2-1.8 4.2" />
		</Svg>
	);
}
