import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Path, Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function DownloadIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4" />
			<Polyline points="7 10 12 15 17 10" />
			<Line x1={12} x2={12} y1={15} y2={3} />
		</Svg>
	);
}
