import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function DribbbleIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={12} cy={12} r={10} />
			<Path d="M19.13 5.09C15.22 9.14 10 10.44 2.25 10.94" />
			<Path d="M21.75 12.84c-6.62-1.41-12.14 1-16.38 6.32" />
			<Path d="M8.56 2.75c4.37 6 6 9.42 8 17.72" />
		</Svg>
	);
}
