import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Ellipse, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function DrumIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m2 2 8 8" />
			<Path d="m22 2-8 8" />
			<Ellipse cx={12} cy={9} rx={10} ry={5} />
			<Path d="M7 13.4v7.9" />
			<Path d="M12 14v8" />
			<Path d="M17 13.4v7.9" />
			<Path d="M2 9v8a10 5 0 0 0 20 0V9" />
		</Svg>
	);
}
