import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ExpandIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m21 21-6-6m6 6v-4.8m0 4.8h-4.8" />
			<Path d="M3 16.2V21m0 0h4.8M3 21l6-6" />
			<Path d="M21 7.8V3m0 0h-4.8M21 3l-6 6" />
			<Path d="M3 7.8V3m0 0h4.8M3 3l6 6" />
		</Svg>
	);
}
