import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Polygon } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function FastForwardIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polygon points="13 19 22 12 13 5 13 19" />
			<Polygon points="2 19 11 12 2 5 2 19" />
		</Svg>
	);
}
