import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function FileStackIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M21 7h-3a2 2 0 0 1-2-2V2" />
			<Path d="M21 6v6.5c0 .8-.7 1.5-1.5 1.5h-7c-.8 0-1.5-.7-1.5-1.5v-9c0-.8.7-1.5 1.5-1.5H17Z" />
			<Path d="M7 8v8.8c0 .3.2.6.4.8.2.2.5.4.8.4H15" />
			<Path d="M3 12v8.8c0 .3.2.6.4.8.2.2.5.4.8.4H11" />
		</Svg>
	);
}
