import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function FileVolume2Icon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M15 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V7Z" />
			<Path d="M14 2v4a2 2 0 0 0 2 2h4" />
			<Path d="M8 15h.01" />
			<Path d="M11.5 13.5a2.5 2.5 0 0 1 0 3" />
			<Path d="M15 12a5 5 0 0 1 0 6" />
		</Svg>
	);
}
