import * as React from 'react';
import Svg, { Rect, Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function FilmIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={18} height={18} x={3} y={3} rx={2} />
			<Path d="M7 3v18" />
			<Path d="M3 7.5h4" />
			<Path d="M3 12h18" />
			<Path d="M3 16.5h4" />
			<Path d="M17 3v18" />
			<Path d="M17 7.5h4" />
			<Path d="M17 16.5h4" />
		</Svg>
	);
}
