import * as React from 'react';
import Svg, { Path, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function FlagOffIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M8 2c3 0 5 2 8 2s4-1 4-1v11" />
			<Path d="M4 22V4" />
			<Path d="M4 15s1-1 4-1 5 2 8 2" />
			<Line x1={2} x2={22} y1={2} y2={22} />
		</Svg>
	);
}
