import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function FlaskRoundIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M10 2v7.31" />
			<Path d="M14 9.3V1.99" />
			<Path d="M8.5 2h7" />
			<Path d="M14 9.3a6.5 6.5 0 1 1-4 0" />
			<Path d="M5.52 16h12.96" />
		</Svg>
	);
}
