import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function FlipVertical2Icon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m17 3-5 5-5-5h10" />
			<Path d="m17 21-5-5-5 5h10" />
			<Path d="M4 12H2" />
			<Path d="M10 12H8" />
			<Path d="M16 12h-2" />
			<Path d="M22 12h-2" />
		</Svg>
	);
}
