import * as React from 'react';
import Svg, { Circle, Path, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function FrownIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={12} cy={12} r={10} />
			<Path d="M16 16s-1.5-2-4-2-4 2-4 2" />
			<Line x1={9} x2={9.01} y1={9} y2={9} />
			<Line x1={15} x2={15.01} y1={9} y2={9} />
		</Svg>
	);
}
