import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function FullscreenIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M3 7V5a2 2 0 0 1 2-2h2" />
			<Path d="M17 3h2a2 2 0 0 1 2 2v2" />
			<Path d="M21 17v2a2 2 0 0 1-2 2h-2" />
			<Path d="M7 21H5a2 2 0 0 1-2-2v-2" />
			<Rect width={10} height={8} x={7} y={8} rx={1} />
		</Svg>
	);
}
