import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function GitGraphIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={5} cy={6} r={3} />
			<Path d="M5 9v6" />
			<Circle cx={5} cy={18} r={3} />
			<Path d="M12 3v18" />
			<Circle cx={19} cy={6} r={3} />
			<Path d="M16 15.7A9 9 0 0 0 19 9" />
		</Svg>
	);
}
