import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function GitPullRequestArrowIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={5} cy={6} r={3} />
			<Path d="M5 9v12" />
			<Circle cx={19} cy={18} r={3} />
			<Path d="m15 9-3-3 3-3" />
			<Path d="M12 6h5a2 2 0 0 1 2 2v7" />
		</Svg>
	);
}
