import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function GitPullRequestClosedIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={6} cy={6} r={3} />
			<Path d="M6 9v12" />
			<Path d="m21 3-6 6" />
			<Path d="m21 9-6-6" />
			<Path d="M18 11.5V15" />
			<Circle cx={18} cy={18} r={3} />
		</Svg>
	);
}
