import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function GitPullRequestCreateIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={6} cy={6} r={3} />
			<Path d="M6 9v12" />
			<Path d="M13 6h3a2 2 0 0 1 2 2v3" />
			<Path d="M18 15v6" />
			<Path d="M21 18h-6" />
		</Svg>
	);
}
