import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Line, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function GitPullRequestDraftIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={18} cy={18} r={3} />
			<Circle cx={6} cy={6} r={3} />
			<Path d="M18 6V5" />
			<Path d="M18 11v-1" />
			<Line x1={6} x2={6} y1={9} y2={21} />
		</Svg>
	);
}
