import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function GlassesIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={6} cy={15} r={4} />
			<Circle cx={18} cy={15} r={4} />
			<Path d="M14 15a2 2 0 0 0-2-2 2 2 0 0 0-2 2" />
			<Path d="M2.5 13 5 7c.7-1.3 1.4-2 3-2" />
			<Path d="M21.5 13 19 7c-.7-1.3-1.5-2-3-2" />
		</Svg>
	);
}
