import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function GoalIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M12 13V2l8 4-8 4" />
			<Path d="M20.561 10.222a9 9 0 1 1-12.55-5.29" />
			<Path d="M8.002 9.997a5 5 0 1 0 8.9 2.02" />
		</Svg>
	);
}
