import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function GripVerticalIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={9} cy={12} r={1} />
			<Circle cx={9} cy={5} r={1} />
			<Circle cx={9} cy={19} r={1} />
			<Circle cx={15} cy={12} r={1} />
			<Circle cx={15} cy={5} r={1} />
			<Circle cx={15} cy={19} r={1} />
		</Svg>
	);
}
