import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function HardDriveIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={22} x2={2} y1={12} y2={12} />
			<Path d="M5.45 5.11 2 12v6a2 2 0 0 0 2 2h16a2 2 0 0 0 2-2v-6l-3.45-6.89A2 2 0 0 0 16.76 4H7.24a2 2 0 0 0-1.79 1.11z" />
			<Line x1={6} x2={6.01} y1={16} y2={16} />
			<Line x1={10} x2={10.01} y1={16} y2={16} />
		</Svg>
	);
}
