import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function HardDriveDownloadIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M12 2v8" />
			<Path d="m16 6-4 4-4-4" />
			<Rect width={20} height={8} x={2} y={14} rx={2} />
			<Path d="M6 18h.01" />
			<Path d="M10 18h.01" />
		</Svg>
	);
}
