import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function HashIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={4} x2={20} y1={9} y2={9} />
			<Line x1={4} x2={20} y1={15} y2={15} />
			<Line x1={10} x2={8} y1={3} y2={21} />
			<Line x1={16} x2={14} y1={3} y2={21} />
		</Svg>
	);
}
