import * as React from 'react';
import Svg, { Path, Rect } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function HotelIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M10 22v-6.57" />
			<Path d="M12 11h.01" />
			<Path d="M12 7h.01" />
			<Path d="M14 15.43V22" />
			<Path d="M15 16a5 5 0 0 0-6 0" />
			<Path d="M16 11h.01" />
			<Path d="M16 7h.01" />
			<Path d="M8 11h.01" />
			<Path d="M8 7h.01" />
			<Rect x={4} y={2} width={16} height={20} rx={2} />
		</Svg>
	);
}
