import * as React from 'react';
import Svg, { Rect, Circle, Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function ImageIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={18} height={18} x={3} y={3} rx={2} ry={2} />
			<Circle cx={9} cy={9} r={2} />
			<Path d="m21 15-3.086-3.086a2 2 0 0 0-2.828 0L6 21" />
		</Svg>
	);
}
