import * as React from 'react';
import Svg, { Path, Line, Circle } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function ImageMinusIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M21 9v10a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h7" />
			<Line x1={16} x2={22} y1={5} y2={5} />
			<Circle cx={9} cy={9} r={2} />
			<Path d="m21 15-3.086-3.086a2 2 0 0 0-2.828 0L6 21" />
		</Svg>
	);
}
