import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function IndianRupeeIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M6 3h12" />
			<Path d="M6 8h12" />
			<Path d="m6 13 8.5 8" />
			<Path d="M6 13h3" />
			<Path d="M9 13c6.667 0 6.667-10 0-10" />
		</Svg>
	);
}
