import * as React from 'react';
import Svg, { Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function ItalicIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={19} x2={10} y1={4} y2={4} />
			<Line x1={14} x2={5} y1={20} y2={20} />
			<Line x1={15} x2={9} y1={4} y2={20} />
		</Svg>
	);
}
