import * as React from 'react';
import Svg, { Line, Polygon } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function LandmarkIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={3} x2={21} y1={22} y2={22} />
			<Line x1={6} x2={6} y1={18} y2={11} />
			<Line x1={10} x2={10} y1={18} y2={11} />
			<Line x1={14} x2={14} y1={18} y2={11} />
			<Line x1={18} x2={18} y1={18} y2={11} />
			<Polygon points="12 2 20 7 4 7" />
		</Svg>
	);
}
