import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function LanguagesIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m5 8 6 6" />
			<Path d="m4 14 6-6 2-3" />
			<Path d="M2 5h12" />
			<Path d="M7 2h1" />
			<Path d="m22 22-5-10-5 10" />
			<Path d="M14 18h6" />
		</Svg>
	);
}
