import * as React from 'react';
import Svg, { Rect, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function LaptopMinimalIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={18} height={12} x={3} y={4} rx={2} ry={2} />
			<Line x1={2} x2={22} y1={20} y2={20} />
		</Svg>
	);
}
