import * as React from 'react';
import Svg, { Rect } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function LayoutDashboardIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={7} height={9} x={3} y={3} rx={1} />
			<Rect width={7} height={5} x={14} y={3} rx={1} />
			<Rect width={7} height={9} x={14} y={12} rx={1} />
			<Rect width={7} height={5} x={3} y={16} rx={1} />
		</Svg>
	);
}
