import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function LetterTextIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M15 12h6" />
			<Path d="M15 6h6" />
			<Path d="m3 13 3.553-7.724a.5.5 0 0 1 .894 0L11 13" />
			<Path d="M3 18h18" />
			<Path d="M4 11h6" />
		</Svg>
	);
}
