import * as React from 'react';
import Svg, { Circle, Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function LifeBuoyIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={12} cy={12} r={10} />
			<Path d="m4.93 4.93 4.24 4.24" />
			<Path d="m14.83 9.17 4.24-4.24" />
			<Path d="m14.83 14.83 4.24 4.24" />
			<Path d="m9.17 14.83-4.24 4.24" />
			<Circle cx={12} cy={12} r={4} />
		</Svg>
	);
}
