import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function Link2Icon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M9 17H7A5 5 0 0 1 7 7h2" />
			<Path d="M15 7h2a5 5 0 1 1 0 10h-2" />
			<Line x1={8} x2={16} y1={12} y2={12} />
		</Svg>
	);
}
