import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ListCollapseIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m3 10 2.5-2.5L3 5" />
			<Path d="m3 19 2.5-2.5L3 14" />
			<Path d="M10 6h11" />
			<Path d="M10 12h11" />
			<Path d="M10 18h11" />
		</Svg>
	);
}
