import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ListOrderedIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={10} x2={21} y1={6} y2={6} />
			<Line x1={10} x2={21} y1={12} y2={12} />
			<Line x1={10} x2={21} y1={18} y2={18} />
			<Path d="M4 6h1v4" />
			<Path d="M4 10h2" />
			<Path d="M6 18H4c0-1 2-2 2-3s-1-1.5-2-1" />
		</Svg>
	);
}
