import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ListStartIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M16 12H3" />
			<Path d="M16 18H3" />
			<Path d="M10 6H3" />
			<Path d="M21 18V8a2 2 0 0 0-2-2h-5" />
			<Path d="m16 8-2-2 2-2" />
		</Svg>
	);
}
