import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function LoaderIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M12 2v4" />
			<Path d="m16.2 7.8 2.9-2.9" />
			<Path d="M18 12h4" />
			<Path d="m16.2 16.2 2.9 2.9" />
			<Path d="M12 18v4" />
			<Path d="m4.9 19.1 2.9-2.9" />
			<Path d="M2 12h4" />
			<Path d="m4.9 4.9 2.9 2.9" />
		</Svg>
	);
}
