import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Line } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function LocateIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={2} x2={5} y1={12} y2={12} />
			<Line x1={19} x2={22} y1={12} y2={12} />
			<Line x1={12} x2={12} y1={2} y2={5} />
			<Line x1={12} x2={12} y1={19} y2={22} />
			<Circle cx={12} cy={12} r={7} />
		</Svg>
	);
}
