import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Path, Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function LogInIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M15 3h4a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2h-4" />
			<Polyline points="10 17 15 12 10 7" />
			<Line x1={15} x2={3} y1={12} y2={12} />
		</Svg>
	);
}
