import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Path, Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function LogOutIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4" />
			<Polyline points="16 17 21 12 16 7" />
			<Line x1={21} x2={9} y1={12} y2={12} />
		</Svg>
	);
}
