import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function LogsIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M13 12h8" />
			<Path d="M13 18h8" />
			<Path d="M13 6h8" />
			<Path d="M3 12h1" />
			<Path d="M3 18h1" />
			<Path d="M3 6h1" />
			<Path d="M8 12h1" />
			<Path d="M8 18h1" />
			<Path d="M8 6h1" />
		</Svg>
	);
}
