import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function MailSearchIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M22 12.5V6a2 2 0 0 0-2-2H4a2 2 0 0 0-2 2v12c0 1.1.9 2 2 2h7.5" />
			<Path d="m22 7-8.97 5.7a1.94 1.94 0 0 1-2.06 0L2 7" />
			<Path d="M18 21a3 3 0 1 0 0-6 3 3 0 0 0 0 6Z" />
			<Circle cx={18} cy={18} r={3} />
			<Path d="m22 22-1.5-1.5" />
		</Svg>
	);
}
