import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function MailsIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={16} height={13} x={6} y={4} rx={2} />
			<Path d="m22 7-7.1 3.78c-.57.3-1.23.3-1.8 0L6 7" />
			<Path d="M2 8v11c0 1.1.9 2 2 2h14" />
		</Svg>
	);
}
