import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function MaximizeIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M8 3H5a2 2 0 0 0-2 2v3" />
			<Path d="M21 8V5a2 2 0 0 0-2-2h-3" />
			<Path d="M3 16v3a2 2 0 0 0 2 2h3" />
			<Path d="M16 21h3a2 2 0 0 0 2-2v-3" />
		</Svg>
	);
}
