import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function Maximize2Icon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polyline points="15 3 21 3 21 9" />
			<Polyline points="9 21 3 21 3 15" />
			<Line x1={21} x2={14} y1={3} y2={10} />
			<Line x1={3} x2={10} y1={21} y2={14} />
		</Svg>
	);
}
