import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function MessageSquareDashedIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M3 6V5c0-1.1.9-2 2-2h2" />
			<Path d="M11 3h3" />
			<Path d="M18 3h1c1.1 0 2 .9 2 2" />
			<Path d="M21 9v2" />
			<Path d="M21 15c0 1.1-.9 2-2 2h-1" />
			<Path d="M14 17h-3" />
			<Path d="m7 17-4 4v-5" />
			<Path d="M3 12v-2" />
		</Svg>
	);
}
