import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function MessageSquareOffIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M21 15V5a2 2 0 0 0-2-2H9" />
			<Path d="m2 2 20 20" />
			<Path d="M3.6 3.6c-.4.3-.6.8-.6 1.4v16l4-4h10" />
		</Svg>
	);
}
