import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function MicrowaveIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={20} height={15} x={2} y={4} rx={2} />
			<Rect width={8} height={7} x={6} y={8} rx={1} />
			<Path d="M18 8v7" />
			<Path d="M6 19v2" />
			<Path d="M18 19v2" />
		</Svg>
	);
}
