import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function MinimizeIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M8 3v3a2 2 0 0 1-2 2H3" />
			<Path d="M21 8h-3a2 2 0 0 1-2-2V3" />
			<Path d="M3 16h3a2 2 0 0 1 2 2v3" />
			<Path d="M16 21v-3a2 2 0 0 1 2-2h3" />
		</Svg>
	);
}
