import * as React from 'react';
import Svg, { Polyline, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function Minimize2Icon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polyline points="4 14 10 14 10 20" />
			<Polyline points="20 10 14 10 14 4" />
			<Line x1={14} x2={21} y1={10} y2={3} />
			<Line x1={3} x2={10} y1={21} y2={14} />
		</Svg>
	);
}
