import * as React from 'react';
import Svg, { Rect, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function MonitorIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={20} height={14} x={2} y={3} rx={2} />
			<Line x1={8} x2={16} y1={21} y2={21} />
			<Line x1={12} x2={12} y1={17} y2={21} />
		</Svg>
	);
}
