import * as React from 'react';
import Svg, { Path, Rect, Circle } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function MonitorSpeakerIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M5.5 20H8" />
			<Path d="M17 9h.01" />
			<Rect width={10} height={16} x={12} y={4} rx={2} />
			<Path d="M8 6H4a2 2 0 0 0-2 2v6a2 2 0 0 0 2 2h4" />
			<Circle cx={17} cy={15} r={1} />
		</Svg>
	);
}
