import * as React from 'react';
import Svg, { Path, Rect } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function MonitorStopIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M12 17v4" />
			<Path d="M8 21h8" />
			<Rect x={2} y={3} width={20} height={14} rx={2} />
			<Rect x={9} y={7} width={6} height={6} rx={1} />
		</Svg>
	);
}
