import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function MousePointerClickIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m9 9 5 12 1.8-5.2L21 14Z" />
			<Path d="M7.2 2.2 8 5.1" />
			<Path d="m5.1 8-2.9-.8" />
			<Path d="M14 4.1 12 6" />
			<Path d="m6 12-1.9 2" />
		</Svg>
	);
}
