import * as React from 'react';
import Svg, { Polyline, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function MoveIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polyline points="5 9 2 12 5 15" />
			<Polyline points="9 5 12 2 15 5" />
			<Polyline points="15 19 12 22 9 19" />
			<Polyline points="19 9 22 12 19 15" />
			<Line x1={2} x2={22} y1={12} y2={12} />
			<Line x1={12} x2={12} y1={2} y2={22} />
		</Svg>
	);
}
