import * as React from 'react';
import Svg, { Polyline, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function MoveDiagonalIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polyline points="13 5 19 5 19 11" />
			<Polyline points="11 19 5 19 5 13" />
			<Line x1={19} x2={5} y1={5} y2={19} />
		</Svg>
	);
}
