import * as React from 'react';
import Svg, { Polyline, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function MoveHorizontalIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polyline points="18 8 22 12 18 16" />
			<Polyline points="6 8 2 12 6 16" />
			<Line x1={2} x2={22} y1={12} y2={12} />
		</Svg>
	);
}
