import * as React from 'react';
import Svg, { Polyline, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function MoveVerticalIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polyline points="8 18 12 22 16 18" />
			<Polyline points="8 6 12 2 16 6" />
			<Line x1={12} x2={12} y1={2} y2={22} />
		</Svg>
	);
}
