import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function Navigation2OffIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M9.31 9.31 5 21l7-4 7 4-1.17-3.17" />
			<Path d="M14.53 8.88 12 2l-1.17 3.17" />
			<Line x1={2} x2={22} y1={2} y2={22} />
		</Svg>
	);
}
