import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function NotebookTabsIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M2 6h4" />
			<Path d="M2 10h4" />
			<Path d="M2 14h4" />
			<Path d="M2 18h4" />
			<Rect width={16} height={20} x={4} y={2} rx={2} />
			<Path d="M15 2v20" />
			<Path d="M15 7h5" />
			<Path d="M15 12h5" />
			<Path d="M15 17h5" />
		</Svg>
	);
}
