import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function NotepadTextIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M8 2v4" />
			<Path d="M12 2v4" />
			<Path d="M16 2v4" />
			<Rect width={16} height={18} x={4} y={4} rx={2} />
			<Path d="M8 10h6" />
			<Path d="M8 14h8" />
			<Path d="M8 18h5" />
		</Svg>
	);
}
