import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function OrbitIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={12} cy={12} r={3} />
			<Circle cx={19} cy={5} r={2} />
			<Circle cx={5} cy={19} r={2} />
			<Path d="M10.4 21.9a10 10 0 0 0 9.941-15.416" />
			<Path d="M13.5 2.1a10 10 0 0 0-9.841 15.416" />
		</Svg>
	);
}
