import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Line } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function PercentIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={19} x2={5} y1={5} y2={19} />
			<Circle cx={6.5} cy={6.5} r={2.5} />
			<Circle cx={17.5} cy={17.5} r={2.5} />
		</Svg>
	);
}
