import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function PiIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={9} x2={9} y1={4} y2={20} />
			<Path d="M4 7c0-1.7 1.3-3 3-3h13" />
			<Path d="M18 20c-1.7 0-3-1.3-3-3V4" />
		</Svg>
	);
}
