import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function PizzaIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M15 11h.01" />
			<Path d="M11 15h.01" />
			<Path d="M16 16h.01" />
			<Path d="m2 16 20 6-6-20A20 20 0 0 0 2 16" />
			<Path d="M5.71 17.11a17.04 17.04 0 0 1 11.4-11.4" />
		</Svg>
	);
}
