import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Polygon } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function PlayIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polygon points="6 3 20 12 6 21 6 3" />
		</Svg>
	);
}
