import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function Plug2Icon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M9 2v6" />
			<Path d="M15 2v6" />
			<Path d="M12 17v5" />
			<Path d="M5 8h14" />
			<Path d="M6 11V8h12v3a6 6 0 1 1-12 0Z" />
		</Svg>
	);
}
