import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function PocketIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M4 3h16a2 2 0 0 1 2 2v6a10 10 0 0 1-10 10A10 10 0 0 1 2 11V5a2 2 0 0 1 2-2z" />
			<Polyline points="8 10 12 14 16 10" />
		</Svg>
	);
}
