import * as React from 'react';
import Svg, { Path, Circle } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function RadiusIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M20.34 17.52a10 10 0 1 0-2.82 2.82" />
			<Circle cx={19} cy={19} r={2} />
			<Path d="m13.41 13.41 4.18 4.18" />
			<Circle cx={12} cy={12} r={2} />
		</Svg>
	);
}
