import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function RemoveFormattingIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M4 7V4h16v3" />
			<Path d="M5 20h6" />
			<Path d="M13 4 8 20" />
			<Path d="m15 15 5 5" />
			<Path d="m20 15-5 5" />
		</Svg>
	);
}
