import * as React from 'react';
import Svg, { Path, Rect } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function ReplaceAllIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M14 4c0-1.1.9-2 2-2" />
			<Path d="M20 2c1.1 0 2 .9 2 2" />
			<Path d="M22 8c0 1.1-.9 2-2 2" />
			<Path d="M16 10c-1.1 0-2-.9-2-2" />
			<Path d="m3 7 3 3 3-3" />
			<Path d="M6 10V5c0-1.7 1.3-3 3-3h1" />
			<Rect width={8} height={8} x={2} y={14} rx={2} />
			<Path d="M14 14c1.1 0 2 .9 2 2v4c0 1.1-.9 2-2 2" />
			<Path d="M20 14c1.1 0 2 .9 2 2v4c0 1.1-.9 2-2 2" />
		</Svg>
	);
}
