import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ReplyIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polyline points="9 17 4 12 9 7" />
			<Path d="M20 18v-2a4 4 0 0 0-4-4H4" />
		</Svg>
	);
}
