import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Polygon } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function RewindIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polygon points="11 19 2 12 11 5 11 19" />
			<Polygon points="22 19 13 12 22 5 22 19" />
		</Svg>
	);
}
