import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Path, Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function RockingChairIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polyline points="3.5 2 6.5 12.5 18 12.5" />
			<Line x1={9.5} x2={5.5} y1={12.5} y2={20} />
			<Line x1={15} x2={18.5} y1={12.5} y2={20} />
			<Path d="M2.75 18a13 13 0 0 0 18.5 0" />
		</Svg>
	);
}
