import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function RouteOffIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={6} cy={19} r={3} />
			<Path d="M9 19h8.5c.4 0 .9-.1 1.3-.2" />
			<Path d="M5.2 5.2A3.5 3.53 0 0 0 6.5 12H12" />
			<Path d="m2 2 20 20" />
			<Path d="M21 15.3a3.5 3.5 0 0 0-3.3-3.3" />
			<Path d="M15 5h-4.3" />
			<Circle cx={18} cy={5} r={3} />
		</Svg>
	);
}
