import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function RouterIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={20} height={8} x={2} y={14} rx={2} />
			<Path d="M6.01 18H6" />
			<Path d="M10.01 18H10" />
			<Path d="M15 10v4" />
			<Path d="M17.84 7.17a4 4 0 0 0-5.66 0" />
			<Path d="M20.66 4.34a8 8 0 0 0-11.31 0" />
		</Svg>
	);
}
