import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SatelliteIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M13 7 9 3 5 7l4 4" />
			<Path d="m17 11 4 4-4 4-4-4" />
			<Path d="m8 12 4 4 6-6-4-4Z" />
			<Path d="m16 8 3-3" />
			<Path d="M9 21a6 6 0 0 0-6-6" />
		</Svg>
	);
}
