import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SatelliteDishIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M4 10a7.31 7.31 0 0 0 10 10Z" />
			<Path d="m9 15 3-3" />
			<Path d="M17 13a6 6 0 0 0-6-6" />
			<Path d="M21 13A10 10 0 0 0 11 3" />
		</Svg>
	);
}
