import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SearchCodeIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m13 13.5 2-2.5-2-2.5" />
			<Path d="m21 21-4.3-4.3" />
			<Path d="M9 8.5 7 11l2 2.5" />
			<Circle cx={11} cy={11} r={8} />
		</Svg>
	);
}
