import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SendToBackIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect x={14} y={14} width={8} height={8} rx={2} />
			<Rect x={2} y={2} width={8} height={8} rx={2} />
			<Path d="M7 14v1a2 2 0 0 0 2 2h1" />
			<Path d="M14 7h1a2 2 0 0 1 2 2v1" />
		</Svg>
	);
}
