import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SeparatorHorizontalIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={3} x2={21} y1={12} y2={12} />
			<Polyline points="8 8 12 4 16 8" />
			<Polyline points="16 16 12 20 8 16" />
		</Svg>
	);
}
