import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SeparatorVerticalIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={12} x2={12} y1={3} y2={21} />
			<Polyline points="8 8 4 12 8 16" />
			<Polyline points="16 16 20 12 16 8" />
		</Svg>
	);
}
