import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ServerIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={20} height={8} x={2} y={2} rx={2} ry={2} />
			<Rect width={20} height={8} x={2} y={14} rx={2} ry={2} />
			<Line x1={6} x2={6.01} y1={6} y2={6} />
			<Line x1={6} x2={6.01} y1={18} y2={18} />
		</Svg>
	);
}
