import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Line } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function Share2Icon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={18} cy={5} r={3} />
			<Circle cx={6} cy={12} r={3} />
			<Circle cx={18} cy={19} r={3} />
			<Line x1={8.59} x2={15.42} y1={13.51} y2={17.49} />
			<Line x1={15.41} x2={8.59} y1={6.51} y2={10.49} />
		</Svg>
	);
}
