import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SheetIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={18} height={18} x={3} y={3} rx={2} ry={2} />
			<Line x1={3} x2={21} y1={9} y2={9} />
			<Line x1={3} x2={21} y1={15} y2={15} />
			<Line x1={9} x2={9} y1={9} y2={21} />
			<Line x1={15} x2={15} y1={9} y2={21} />
		</Svg>
	);
}
