import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ShowerHeadIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m4 4 2.5 2.5" />
			<Path d="M13.5 6.5a4.95 4.95 0 0 0-7 7" />
			<Path d="M15 5 5 15" />
			<Path d="M14 17v.01" />
			<Path d="M10 16v.01" />
			<Path d="M13 13v.01" />
			<Path d="M16 10v.01" />
			<Path d="M11 20v.01" />
			<Path d="M17 14v.01" />
			<Path d="M20 11v.01" />
		</Svg>
	);
}
