import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ShrinkIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m15 15 6 6m-6-6v4.8m0-4.8h4.8" />
			<Path d="M9 19.8V15m0 0H4.2M9 15l-6 6" />
			<Path d="M15 4.2V9m0 0h4.8M15 9l6-6" />
			<Path d="M9 4.2V9m0 0H4.2M9 9 3 3" />
		</Svg>
	);
}
