import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SignpostBigIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M10 9H4L2 7l2-2h6" />
			<Path d="M14 5h6l2 2-2 2h-6" />
			<Path d="M10 22V4a2 2 0 1 1 4 0v18" />
			<Path d="M8 22h8" />
		</Svg>
	);
}
