import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SirenIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M7 18v-6a5 5 0 1 1 10 0v6" />
			<Path d="M5 21a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1v-1a2 2 0 0 0-2-2H7a2 2 0 0 0-2 2z" />
			<Path d="M21 12h1" />
			<Path d="M18.5 4.5 18 5" />
			<Path d="M2 12h1" />
			<Path d="M12 2v1" />
			<Path d="m4.929 4.929.707.707" />
			<Path d="M12 12v6" />
		</Svg>
	);
}
