import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Polygon } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SkipBackIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polygon points="19 20 9 12 19 4 19 20" />
			<Line x1={5} x2={5} y1={19} y2={5} />
		</Svg>
	);
}
