import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Polygon } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SkipForwardIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polygon points="5 4 15 12 5 20 5 4" />
			<Line x1={19} x2={19} y1={5} y2={19} />
		</Svg>
	);
}
