import * as React from 'react';
import Svg, { Line, Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function SnowflakeIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={2} x2={22} y1={12} y2={12} />
			<Line x1={12} x2={12} y1={2} y2={22} />
			<Path d="m20 16-4-4 4-4" />
			<Path d="m4 8 4 4-4 4" />
			<Path d="m16 4-4 4-4-4" />
			<Path d="m8 20 4-4 4 4" />
		</Svg>
	);
}
