import * as React from 'react';
import Svg, { Rect, Path, Circle } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function SpeakerIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={16} height={20} x={4} y={2} rx={2} />
			<Path d="M12 6h.01" />
			<Circle cx={12} cy={14} r={4} />
			<Path d="M12 14h.01" />
		</Svg>
	);
}
