import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function SplitIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M16 3h5v5" />
			<Path d="M8 3H3v5" />
			<Path d="M12 22v-8.3a4 4 0 0 0-1.172-2.872L3 3" />
			<Path d="m15 9 6-6" />
		</Svg>
	);
}
