import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function SquareDashedMousePointerIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M5 3a2 2 0 0 0-2 2" />
			<Path d="M19 3a2 2 0 0 1 2 2" />
			<Path d="m12 12 4 10 1.7-4.3L22 16Z" />
			<Path d="M5 21a2 2 0 0 1-2-2" />
			<Path d="M9 3h1" />
			<Path d="M9 21h2" />
			<Path d="M14 3h1" />
			<Path d="M3 9v1" />
			<Path d="M21 9v2" />
			<Path d="M3 14v1" />
		</Svg>
	);
}
