import * as React from 'react';
import Svg, { Rect, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function SquareDivideIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={18} height={18} x={3} y={3} rx={2} ry={2} />
			<Line x1={8} x2={16} y1={12} y2={12} />
			<Line x1={12} x2={12} y1={16} y2={16} />
			<Line x1={12} x2={12} y1={8} y2={8} />
		</Svg>
	);
}
