import * as React from 'react';
import Svg, { Rect, Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function SquarePilcrowIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={18} height={18} x={3} y={3} rx={2} />
			<Path d="M12 12H9.5a2.5 2.5 0 0 1 0-5H17" />
			<Path d="M12 7v10" />
			<Path d="M16 7v10" />
		</Svg>
	);
}
