import * as React from 'react';
import Svg, { Rect, Circle, Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function SquareScissorsIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={20} height={20} x={2} y={2} rx={2} />
			<Circle cx={8} cy={8} r={2} />
			<Path d="M9.414 9.414 12 12" />
			<Path d="M14.8 14.8 18 18" />
			<Circle cx={8} cy={16} r={2} />
			<Path d="m18 6-8.586 8.586" />
		</Svg>
	);
}
