import * as React from 'react';
import Svg, { Rect, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function SquareSlashIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={18} height={18} x={3} y={3} rx={2} />
			<Line x1={9} x2={15} y1={15} y2={9} />
		</Svg>
	);
}
