import * as React from 'react';
import Svg, { Path, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function SquareSplitVerticalIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M5 8V5c0-1 1-2 2-2h10c1 0 2 1 2 2v3" />
			<Path d="M19 16v3c0 1-1 2-2 2H7c-1 0-2-1-2-2v-3" />
			<Line x1={4} x2={20} y1={12} y2={12} />
		</Svg>
	);
}
