import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SquareUserRoundIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M18 21a6 6 0 0 0-12 0" />
			<Circle cx={12} cy={11} r={4} />
			<Rect width={18} height={18} x={3} y={3} rx={2} />
		</Svg>
	);
}
