import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Polygon } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function StarIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2" />
		</Svg>
	);
}
