import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Polygon } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function StepBackIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={18} x2={18} y1={20} y2={4} />
			<Polygon points="14,20 4,12 14,4" />
		</Svg>
	);
}
