import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function StrikethroughIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M16 4H9a3 3 0 0 0-2.83 4" />
			<Path d="M14 12a4 4 0 0 1 0 8H6" />
			<Line x1={4} x2={20} y1={12} y2={12} />
		</Svg>
	);
}
