import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SunIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={12} cy={12} r={4} />
			<Path d="M12 2v2" />
			<Path d="M12 20v2" />
			<Path d="m4.93 4.93 1.41 1.41" />
			<Path d="m17.66 17.66 1.41 1.41" />
			<Path d="M2 12h2" />
			<Path d="M20 12h2" />
			<Path d="m6.34 17.66-1.41 1.41" />
			<Path d="m19.07 4.93-1.41 1.41" />
		</Svg>
	);
}
