import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SunDimIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={12} cy={12} r={4} />
			<Path d="M12 4h.01" />
			<Path d="M20 12h.01" />
			<Path d="M12 20h.01" />
			<Path d="M4 12h.01" />
			<Path d="M17.657 6.343h.01" />
			<Path d="M17.657 17.657h.01" />
			<Path d="M6.343 17.657h.01" />
			<Path d="M6.343 6.343h.01" />
		</Svg>
	);
}
