import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SunsetIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M12 10V2" />
			<Path d="m4.93 10.93 1.41 1.41" />
			<Path d="M2 18h2" />
			<Path d="M20 18h2" />
			<Path d="m19.07 10.93-1.41 1.41" />
			<Path d="M22 22H2" />
			<Path d="m16 6-4 4-4-4" />
			<Path d="M16 18a4 4 0 0 0-8 0" />
		</Svg>
	);
}
