import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function SwordIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polyline points="14.5 17.5 3 6 3 3 6 3 17.5 14.5" />
			<Line x1={13} x2={19} y1={19} y2={13} />
			<Line x1={16} x2={20} y1={16} y2={20} />
			<Line x1={19} x2={21} y1={21} y2={19} />
		</Svg>
	);
}
