import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function TabletIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={16} height={20} x={4} y={2} rx={2} ry={2} />
			<Line x1={12} x2={12.01} y1={18} y2={18} />
		</Svg>
	);
}
