import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function TangentIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={17} cy={4} r={2} />
			<Path d="M15.59 5.41 5.41 15.59" />
			<Circle cx={4} cy={17} r={2} />
			<Path d="M12 22s-4-9-1.5-11.5S22 12 22 12" />
		</Svg>
	);
}
