import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function TentTreeIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={4} cy={4} r={2} />
			<Path d="m14 5 3-3 3 3" />
			<Path d="m14 10 3-3 3 3" />
			<Path d="M17 14V2" />
			<Path d="M17 14H7l-5 8h20Z" />
			<Path d="M8 14v8" />
			<Path d="m9 14 5 8" />
		</Svg>
	);
}
