import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function TerminalIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polyline points="4 17 10 11 4 5" />
			<Line x1={12} x2={20} y1={19} y2={19} />
		</Svg>
	);
}
