import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function TextSelectIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M5 3a2 2 0 0 0-2 2" />
			<Path d="M19 3a2 2 0 0 1 2 2" />
			<Path d="M21 19a2 2 0 0 1-2 2" />
			<Path d="M5 21a2 2 0 0 1-2-2" />
			<Path d="M9 3h1" />
			<Path d="M9 21h1" />
			<Path d="M14 3h1" />
			<Path d="M14 21h1" />
			<Path d="M3 9v1" />
			<Path d="M21 9v1" />
			<Path d="M3 14v1" />
			<Path d="M21 14v1" />
			<Line x1={7} x2={15} y1={8} y2={8} />
			<Line x1={7} x2={17} y1={12} y2={12} />
			<Line x1={7} x2={13} y1={16} y2={16} />
		</Svg>
	);
}
