import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function TheaterIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M2 10s3-3 3-8" />
			<Path d="M22 10s-3-3-3-8" />
			<Path d="M10 2c0 4.4-3.6 8-8 8" />
			<Path d="M14 2c0 4.4 3.6 8 8 8" />
			<Path d="M2 10s2 2 2 5" />
			<Path d="M22 10s-2 2-2 5" />
			<Path d="M8 15h8" />
			<Path d="M2 22v-1a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v1" />
			<Path d="M14 22v-1a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v1" />
		</Svg>
	);
}
