import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ToggleLeftIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={20} height={12} x={2} y={6} rx={6} ry={6} />
			<Circle cx={8} cy={12} r={2} />
		</Svg>
	);
}
