import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Ellipse } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function TorusIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Ellipse cx={12} cy={11} rx={3} ry={2} />
			<Ellipse cx={12} cy={12.5} rx={10} ry={8.5} />
		</Svg>
	);
}
