import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function TrainTrackIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M2 17 17 2" />
			<Path d="m2 14 8 8" />
			<Path d="m5 11 8 8" />
			<Path d="m8 8 8 8" />
			<Path d="m11 5 8 8" />
			<Path d="m14 2 8 8" />
			<Path d="M7 22 22 7" />
		</Svg>
	);
}
