import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function TramFrontIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={16} height={16} x={4} y={3} rx={2} />
			<Path d="M4 11h16" />
			<Path d="M12 3v8" />
			<Path d="m8 19-2 3" />
			<Path d="m18 22-2-3" />
			<Path d="M8 15h.01" />
			<Path d="M16 15h.01" />
		</Svg>
	);
}
