import * as React from 'react';
import Svg, { Polyline } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function TrendingUpIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polyline points="22 7 13.5 15.5 8.5 10.5 2 17" />
			<Polyline points="16 7 22 7 22 13" />
		</Svg>
	);
}
