import * as React from 'react';
import Svg, { Polyline, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function TypeIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polyline points="4 7 4 4 20 4 20 7" />
			<Line x1={9} x2={15} y1={20} y2={20} />
			<Line x1={12} x2={12} y1={4} y2={20} />
		</Svg>
	);
}
