import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function UnfoldHorizontalIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M16 12h6" />
			<Path d="M8 12H2" />
			<Path d="M12 2v2" />
			<Path d="M12 8v2" />
			<Path d="M12 14v2" />
			<Path d="M12 20v2" />
			<Path d="m19 15 3-3-3-3" />
			<Path d="m5 9-3 3 3 3" />
		</Svg>
	);
}
