import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function UnfoldVerticalIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M12 22v-6" />
			<Path d="M12 8V2" />
			<Path d="M4 12H2" />
			<Path d="M10 12H8" />
			<Path d="M16 12h-2" />
			<Path d="M22 12h-2" />
			<Path d="m15 19-3 3-3-3" />
			<Path d="m15 5-3-3-3 3" />
		</Svg>
	);
}
