import * as React from 'react';
import Svg, { Path, Line } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function UnlinkIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m18.84 12.25 1.72-1.71h-.02a5.004 5.004 0 0 0-.12-7.07 5.006 5.006 0 0 0-6.95 0l-1.72 1.71" />
			<Path d="m5.17 11.75-1.71 1.71a5.004 5.004 0 0 0 .12 7.07 5.006 5.006 0 0 0 6.95 0l1.71-1.71" />
			<Line x1={8} x2={8} y1={2} y2={5} />
			<Line x1={2} x2={5} y1={8} y2={8} />
			<Line x1={16} x2={16} y1={19} y2={22} />
			<Line x1={19} x2={22} y1={16} y2={16} />
		</Svg>
	);
}
