import * as React from 'react';
import Svg, { Circle, Path } from 'react-native-svg';
import type { SvgProps } from 'react-native-svg';
type CustomProps = {
	size?: number,
} & SvgProps;
export function UserCogIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={18} cy={15} r={3} />
			<Circle cx={9} cy={7} r={4} />
			<Path d="M10 15H6a4 4 0 0 0-4 4v2" />
			<Path d="m21.7 16.4-.9-.3" />
			<Path d="m15.2 13.9-.9-.3" />
			<Path d="m16.6 18.7.3-.9" />
			<Path d="m19.1 12.2.3-.9" />
			<Path d="m19.6 18.7-.4-1" />
			<Path d="m16.8 12.3-.4-1" />
			<Path d="m14.3 16.6 1-.4" />
			<Path d="m20.7 13.8 1-.4" />
		</Svg>
	);
}
