import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function UserSearchIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={10} cy={7} r={4} />
			<Path d="M10.3 15H7a4 4 0 0 0-4 4v2" />
			<Circle cx={17} cy={17} r={3} />
			<Path d="m21 21-1.9-1.9" />
		</Svg>
	);
}
