import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Line, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function UserXIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M16 21v-2a4 4 0 0 0-4-4H6a4 4 0 0 0-4 4v2" />
			<Circle cx={9} cy={7} r={4} />
			<Line x1={17} x2={22} y1={8} y2={13} />
			<Line x1={22} x2={17} y1={8} y2={13} />
		</Svg>
	);
}
