import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function UsersRoundIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M18 21a8 8 0 0 0-16 0" />
			<Circle cx={10} cy={8} r={5} />
			<Path d="M22 20c0-3.37-2-6.5-4-8a5 5 0 0 0-.45-8.3" />
		</Svg>
	);
}
