import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function UtilityPoleIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="M12 2v20" />
			<Path d="M2 5h20" />
			<Path d="M3 3v2" />
			<Path d="M7 3v2" />
			<Path d="M17 3v2" />
			<Path d="M21 3v2" />
			<Path d="m19 5-7 7-7-7" />
		</Svg>
	);
}
