import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function VibrateIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m2 8 2 2-2 2 2 2-2 2" />
			<Path d="m22 8-2 2 2 2-2 2 2 2" />
			<Rect width={8} height={14} x={8} y={5} rx={1} />
		</Svg>
	);
}
