import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function VibrateOffIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Path d="m2 8 2 2-2 2 2 2-2 2" />
			<Path d="m22 8-2 2 2 2-2 2 2 2" />
			<Path d="M8 8v10c0 .55.45 1 1 1h6c.55 0 1-.45 1-1v-2" />
			<Path d="M16 10.34V6c0-.55-.45-1-1-1h-4.34" />
			<Line x1={2} x2={22} y1={2} y2={22} />
		</Svg>
	);
}
