import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function VideotapeIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={20} height={16} x={2} y={4} rx={2} />
			<Path d="M2 8h20" />
			<Circle cx={8} cy={14} r={2} />
			<Path d="M8 12h8" />
			<Circle cx={16} cy={14} r={2} />
		</Svg>
	);
}
