import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Line } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function VoicemailIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={6} cy={12} r={4} />
			<Circle cx={18} cy={12} r={4} />
			<Line x1={6} x2={18} y1={16} y2={16} />
		</Svg>
	);
}
