import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Polygon } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function Volume1Icon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polygon points="11 5 6 9 2 9 2 15 6 15 11 19 11 5" />
			<Path d="M15.54 8.46a5 5 0 0 1 0 7.07" />
		</Svg>
	);
}
