import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Polygon } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function VolumeXIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Polygon points="11 5 6 9 2 9 2 15 6 15 11 19 11 5" />
			<Line x1={22} x2={16} y1={9} y2={15} />
			<Line x1={16} x2={22} y1={9} y2={15} />
		</Svg>
	);
}
