import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Path } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function WaypointsIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={12} cy={4.5} r={2.5} />
			<Path d="m10.2 6.3-3.9 3.9" />
			<Circle cx={4.5} cy={12} r={2.5} />
			<Path d="M7 12h10" />
			<Circle cx={19.5} cy={12} r={2.5} />
			<Path d="m13.8 17.7 3.9-3.9" />
			<Circle cx={12} cy={19.5} r={2.5} />
		</Svg>
	);
}
