import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path, Rect } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function WorkflowIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Rect width={8} height={8} x={3} y={3} rx={2} />
			<Path d="M7 11v4a2 2 0 0 0 2 2h4" />
			<Rect width={8} height={8} x={13} y={13} rx={2} />
		</Svg>
	);
}
