import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Line, Path, Polyline } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function WrapTextIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Line x1={3} x2={21} y1={6} y2={6} />
			<Path d="M3 12h15a3 3 0 1 1 0 6h-4" />
			<Polyline points="16 16 14 18 16 20" />
			<Line x1={3} x2={10} y1={18} y2={18} />
		</Svg>
	);
}
