import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle, Line } from 'react-native-svg';

type CustomProps = {
	size?: number;
} & SvgProps;
export function ZoomInIcon({ size, ...props }: CustomProps) {
	return (
		<Svg
			viewBox="0 0 24 24"
			fill="none"
			stroke="currentColor"
			strokeWidth={2}
			strokeLinecap="round"
			strokeLinejoin="round"
			width={size || 24}
			height={size || 24}
			{...props}>
			<Circle cx={11} cy={11} r={8} />
			<Line x1={21} x2={16.65} y1={21} y2={16.65} />
			<Line x1={11} x2={11} y1={8} y2={14} />
			<Line x1={8} x2={14} y1={11} y2={11} />
		</Svg>
	);
}
