const propTypesTemplate = ({ imports, componentName, jsx }, { tpl }) => {
	const iconName = componentName.replace(/^Svg/, '') + 'Icon';

	const svgElement = jsx.openingElement;

	// Filter out attributes: remove 'xmlns', 'width', 'height'
	svgElement.attributes = svgElement.attributes.filter(
		(attribute) => !['xmlns', 'width', 'height'].includes(attribute.name.name),
	);

	svgElement.attributes.push(
		{
			type: 'JSXAttribute',
			name: { type: 'JSXIdentifier', name: 'width' },
			value: {
				type: 'JSXExpressionContainer',
				expression: { type: 'Identifier', name: 'size || 24' },
			},
		},
		{
			type: 'JSXAttribute',
			name: { type: 'JSXIdentifier', name: 'height' },
			value: {
				type: 'JSXExpressionContainer',
				expression: { type: 'Identifier', name: 'size || 24' },
			},
		},
	);

	return tpl`${imports}
type CustomProps = { size?: number } & SvgProps
export function ${iconName} ({ size, ...props}: CustomProps) {
  return ${jsx};
}
  `;
};

module.exports = propTypesTemplate;
