import React, { FC } from 'react';
import { TranslationKey } from '@tolgee/core/lib/types';
import { T as TT, TProps as TTProps } from '@tolgee/react';

export type TProps = {
	transKey: TranslationKey;
} & Omit<TTProps, 'keyName'>;

type SplitPath = string | undefined;

export const T: FC<TProps> = (props) => {
	const key = props.transKey;
	const dotIndex = key.indexOf('.');
	let [ns, keyName] = [key.substring(0, dotIndex), key.substring(dotIndex + 1)] as [
		SplitPath,
		SplitPath,
	];
	if (!keyName) {
		ns = undefined;
		keyName = ns;
	}
	return <TT ns={ns} {...props} keyName={keyName!} />;
};
