import React, { FC, ReactNode } from 'react';
import {
	DevTools,
	FormatSimple,
	Tolgee,
	TolgeeInstance,
	TolgeeProvider as TolgeeTolgeeProvider,
} from '@tolgee/react';
import { Text } from 'react-native';

export { useTolgee } from '@tolgee/react';
export { T } from './T';
export { useTranslate } from './useTranslate';

export type TolgeeProviderProps = {
	children: ReactNode;
	tolgee: TolgeeInstance;
};

export const TolgeeChain = Tolgee().use(DevTools()).use(FormatSimple());

export const TolgeeProvider: FC<TolgeeProviderProps> = ({ children, tolgee }) => (
	<TolgeeTolgeeProvider tolgee={tolgee} fallback={<Text>Loading...</Text>}>
		{children}
	</TolgeeTolgeeProvider>
);
