import { TranslationKey } from '@tolgee/core/lib/types';
import { useTranslate as tUserTranslate } from '@tolgee/react';

type SplitPath = string | undefined;

export const useTranslate = () => {
	const { t: tT } = tUserTranslate();
	return {
		t: (path: TranslationKey) => {
			const dotIndex = path.indexOf('.');
			let [ns, keyName] = [path.substring(0, dotIndex), path.substring(dotIndex + 1)] as [
				SplitPath,
				SplitPath,
			];
			if (!keyName) {
				ns = undefined;
				keyName = ns;
			}
			return tT(keyName!, `${ns ?? ''}.${keyName!}`, { ns });
		},
	};
};
