import Values from 'values.js';

export type ThemeColors = {
	base: string;
	highlight: string;
	negative: string;
	positive: string;
	primary: string;
	secondary: string;
	text: string;
};

// https://noeldelgado.github.io/shadowlord/
export const buildColorTheme = (COLORS: ThemeColors) => ({
	palette: {
		primary: {
			main: COLORS.primary,
			light: new Values(COLORS.primary).tint(90).rgbString(),
			dark: new Values(COLORS.primary).shade(40).rgbString(),
		},
		secondary: {
			main: COLORS.secondary,
			light: new Values(COLORS.secondary).tint(90).rgbString(),
			dark: new Values(COLORS.secondary).shade(40).rgbString(),
		},
		positive: {
			main: COLORS.positive,
			light: new Values(COLORS.positive).tint(90).rgbString(),
			dark: new Values(COLORS.positive).shade(40).rgbString(),
		},
		negative: {
			main: COLORS.negative,
			light: new Values(COLORS.negative).tint(90).rgbString(),
			dark: new Values(COLORS.negative).shade(40).rgbString(),
		},
		highlight: {
			main: COLORS.highlight,
			light: new Values(COLORS.highlight).tint(90).rgbString(),
			dark: new Values(COLORS.highlight).shade(40).rgbString(),
		},
		background: {
			main: COLORS.base,
			dark: new Values(COLORS.base).shade(30).rgbString(),
		},
		text: {
			main: COLORS.text,
			light: new Values(COLORS.text).tint(40).rgbString(),
		},
		disabled: new Values(COLORS.base).shade(20).rgbString(),
	},
});
