import React, { FC } from 'react';
import { useLocation } from 'wouter';

import { useLogin } from '@procyon/auth/hook/useLogin';
import { useTokenExchange } from '@procyon/auth/hook/useTokenExchange';
import { Button } from '@procyon/components/Button';

const authConfig = {
	baseUrl: 'http://keycloak.local',
	clientId: 'client_id',
	tokenEndpoint: '/realm/localdev/token',
	authEndpoint: '/realm/localdev/auth',
	redirectUri: 'http://localhost:3330/login/callback',
	logoutEndpoint: '/realm/localdev/logout',
};

export const Component: FC = () => {
	const [location, setLocation] = useLocation();

	const { getUri } = useLogin(authConfig);
	const { exchange } = useTokenExchange(authConfig);

	if (location === '/login/callback') {
		const params = new URLSearchParams(window.location.href);
		const code = params.get('code') ?? null;
		if (code) {
			exchange(code);
		}
		return null;
	}

	return <Button onClick={() => setLocation(getUri().pathname)}>login</Button>;
};
