import type { StoryObj } from '@storybook/react';

import { Alert } from '@procyon/components/Alert';

type Story = StoryObj<typeof Alert>;

export default {
	parameters: {
		docs: {
			description: {
				component: "`import Message from '@procyon/components/Message';`",
			},
		},
	},
	tags: ['autodocs'],
	component: Alert,
};

export const Default: Story = {
	args: {
		children: 'Default message',
	},
};

export const Primary: Story = {
	args: {
		title: 'Just the message',
		children: 'Message content',
		color: 'primary',
	},
};

export const Secondary: Story = {
	args: {
		title: 'Just the message',
		children: 'Message content',
		color: 'secondary',
	},
};

export const Positive: Story = {
	args: {
		title: 'Just the message',
		children: 'Message content',
		color: 'positive',
	},
};

export const Negative: Story = {
	args: {
		title: 'Just the message',
		children: 'Message content',
		color: 'negative',
	},
};
