import React from 'react';
import type { StoryObj } from '@storybook/react';

import { Calendar } from '@procyon/components/Calendar';

import { MonthView } from '../__/Calendar/MonthView';
import { TimeColumn } from '../__/Calendar/TimeColumn';
import { WeekView } from '../__/Calendar/WeekView';

type Story = StoryObj<typeof Calendar>;

export default {
	component: Calendar,
	parameters: {
		docs: {
			description: {
				component: "`import Calendar from '@procyon/components/Calendar';`",
			},
		},
	},
	tags: ['autodocs'],
};

export const Default: Story = {
	args: {
		selected: new Date(new Date().setDate(new Date().getDate() + 1)),
	},
};

export const DayCalendar: Story = {
	args: {
		selected: new Date(new Date().setDate(new Date().getDate() + 1)),
		layout: 'day',
	},
};

export const WeekCalendar: Story = {
	args: {
		selected: new Date(new Date().setDate(new Date().getDate() + 1)),
		DateSlotView: (props) => <WeekView {...props} />,
		TimeColumn: TimeColumn,
		layout: 'week',
	},
};

export const MonthCalendar: Story = {
	args: {
		DateSlotView: MonthView,
		selected: new Date(new Date().setDate(new Date().getDate() + 1)),
		layout: 'month',
	},
};

export const MonthTypeCalendar: Story = {
	args: {
		selected: new Date(new Date().setMonth(new Date().getMonth() + 1)),
		type: 'months',
	},
};
