import React from 'react';
import { Meta, StoryObj } from '@storybook/react';

import { Table, TableCell, TableHead, TableText } from '@procyon/components/Table';
import { TableRow } from '@procyon/components/TableRow';
import { ChevronRightIcon } from '@procyon/icons/ChevronRight';

type Story = StoryObj<typeof Table>;

export default {
	component: Table,
	parameters: {
		docs: {
			description: {
				component: "`import { Table } from '@procyon/components/Table';`",
			},
		},
	},
	tags: ['autodocs'],
} as Meta<typeof Table>;

export const Default: Story = {
	args: {
		hoverable: true,
		cols: {
			sm: 5,
		},
		layout: {
			sm: [2, 1, 1, '50px'],
		},
		children: [
			<TableRow head key={0}>
				<TableHead>
					<TableText head>Company</TableText>
				</TableHead>
				<TableHead>
					<TableText head>Contact</TableText>
				</TableHead>
				<TableHead>
					<TableText head>Country</TableText>
				</TableHead>
				<TableHead>
					<TableText head />
				</TableHead>
			</TableRow>,
			<TableRow row key={1}>
				<TableCell>
					<TableText>Centro comer. Moctezuma</TableText>
				</TableCell>
				<TableCell>
					<TableText>Francisco Chang</TableText>
				</TableCell>
				<TableCell>
					<TableText>Mexico</TableText>
				</TableCell>
				<TableCell>
					<TableText>
						<ChevronRightIcon strokeWidth={1} size={20} />
					</TableText>
				</TableCell>
			</TableRow>,
			<TableRow row key={2}>
				<TableCell>
					<TableText>Alfreds Futterkiste</TableText>
				</TableCell>
				<TableCell>
					<TableText>Maria Anders</TableText>
				</TableCell>
				<TableCell>
					<TableText>German</TableText>
				</TableCell>
				<TableCell>
					<TableText>
						<ChevronRightIcon strokeWidth={1} size={20} />
					</TableText>
				</TableCell>
			</TableRow>,
			<TableRow row key={3}>
				<TableCell>
					<TableText>Centro comer. Moctezuma</TableText>
				</TableCell>
				<TableCell>
					<TableText>Francisco Chang</TableText>
				</TableCell>
				<TableCell>
					<TableText>Mexico</TableText>
				</TableCell>
				<TableCell>
					<TableText>
						<ChevronRightIcon strokeWidth={1} size={20} />
					</TableText>
				</TableCell>
			</TableRow>,
			<TableRow row key={4}>
				<TableCell>
					<TableText>Alfreds Futterkiste</TableText>
				</TableCell>
				<TableCell>
					<TableText>Maria Anders</TableText>
				</TableCell>
				<TableCell>
					<TableText>Germany</TableText>
				</TableCell>
				<TableCell>
					<TableText>
						<ChevronRightIcon strokeWidth={1} size={20} />
					</TableText>
				</TableCell>
			</TableRow>,
		],
	},
};
