import { Meta, StoryObj } from '@storybook/react';

import { Typography } from '@procyon/components/Typography';

type Story = StoryObj<typeof Typography>;

export default {
	component: Typography,
	parameters: {
		docs: {
			description: {
				component: "`import { Typography } from '@procyon/components/Typography';`",
			},
		},
	},
	tags: ['autodocs'],
} as Meta;

export const Default: Story = {
	args: {
		children: 'Content',
	},
};

export const H1: Story = {
	args: {
		size: 'h1',
		children: 'content',
	},
};

export const H2: Story = {
	args: {
		size: 'h2',
		children: 'content',
	},
};

export const H3: Story = {
	args: {
		size: 'h3',
		children: 'content',
	},
};

export const H4: Story = {
	args: {
		size: 'h4',
		children: 'content',
	},
};

export const H5: Story = {
	args: {
		size: 'h5',
		children: 'content',
	},
};

export const Text: Story = {
	args: {
		size: 'text',
		children: 'content',
	},
};
