import React from 'react';
import type { Meta, StoryObj } from '@storybook/react';

import { Button } from '@procyon/components/Button';
import { ButtonGroup } from '@procyon/components/ButtonGroup';

type Story = StoryObj<typeof ButtonGroup>;

export default {
	component: ButtonGroup,
	parameters: {
		docs: {
			description: {
				component: "`import { ButtonGroup } from '@procyon/components/ButtonGroup';`",
			},
		},
	},
	tags: ['autodocs'],
} as Meta;

export const Default: Story = {
	args: {},
	render: (args) => (
		<ButtonGroup {...args}>
			<Button>Button A</Button>
			<Button>Button B</Button>
			<Button>Button C with long label</Button>
		</ButtonGroup>
	),
};
