import React, { useState } from 'react';
import { action } from '@storybook/addon-actions';
import { Meta, StoryObj } from '@storybook/react';

import { DatePicker } from '@procyon/components/DatePicker';

type Story = StoryObj<typeof DatePicker>;

const description = `
\`import DatePicker from '@procyon/components/DatePicker';\`

You need to wrap this component with \`ModalProvider\` component.
`;

const meta: Meta<typeof DatePicker> = {
	component: DatePicker,
	parameters: {
		docs: {
			description: {
				component: description,
			},
		},
	},
	tags: ['autodocs'],
	decorators: [
		(Story) => (
			<div style={{ height: '30rem' }}>
				<Story />
			</div>
		),
	],
};

function Component(args) {
	const [value, setValue] = useState<string | undefined>(undefined);

	const onValueChange = (e, value: string) => {
		args.onChange?.(e, value);
		setValue(value);
	};

	return <DatePicker {...args} value={value} onChange={onValueChange} />;
}

export const Default: Story = {
	args: {
		name: 'datePicker',
		label: 'Choose date',
		onChange: action('click'),
	},

	render: (args) => <Component {...args} />,
};

export default meta;
