import React, { FC } from 'react';
import { format } from 'date-fns';
import { Pressable, Text, View } from 'react-native';

import { DateSlotProps } from '@procyon/components/Calendar/DateSlot';
import { useTheme } from '@procyon/styles/Theme';

export const MonthView: FC<DateSlotProps> = (props) => {
	const { theme } = useTheme();
	return (
		<View
			style={{
				height: 70,
				borderRadius: 4,
				...(props.isToday && {
					backgroundColor: theme.palette.primary.light,
				}),
			}}>
			<Pressable onPress={() => props?.onClick?.(props.date)}>
				<Text
					style={{
						margin: 4,
						marginLeft: 'auto',
						borderLeftWidth: 1,
						borderBottomWidth: 1,
						borderColor: theme.palette.primary.dark,
						padding: 5,
					}}>
					{format(props.date ?? new Date(), 'dd')}
				</Text>
			</Pressable>
		</View>
	);
};
