import React from 'react';
import { times } from 'ramda';
import { addMinutes, format } from 'date-fns';
import { Text, View } from 'react-native';

import { useTheme } from '@procyon/styles/Theme';

export const TimeColumn = () => {
	const { theme } = useTheme();
	return (
		<View style={{ marginTop: 72 }}>
			{times(
				(i) => (
					<Text style={{ fontFamily: theme.fontFamily, padding: 2, height: 24 }} key={i}>
						{format(addMinutes(new Date(0, 0, 0, 8, 0), 30 * i), 'kk:mm')}
					</Text>
				),
				16,
			)}
		</View>
	);
};
