import React from 'react';
import { Meta, StoryObj } from '@storybook/react';

import { Modals } from '@procyon/components/Modal';
import { ModalProvider } from '@procyon/components/Modal/context';
import { TolgeeProvider } from '@procyon/localization/tolgee';

import { tolgee } from '../../.storybook/preview';
import { ExampleForm } from './__/ExampleForm';

type Story = StoryObj<typeof ExampleForm>;

export default {
	component: ExampleForm,
	decorators: [
		(Story) => (
			<ModalProvider>
				<TolgeeProvider tolgee={tolgee}>
					<Story />
					<Modals />
				</TolgeeProvider>
			</ModalProvider>
		),
	],
} as Meta;

export const Example: Story = {
	args: {},
};
